module UU
  module OS
    module IPC

      # Enumeration of possible error kinds used
      # in {UU::OS::IPC::IPCError}.
      class ErrorKind

        # Error was caused by input parameters (either by using
        # wrong format of parameters or by using values violating
        # defined business rules).
        CLIENT = 'CLIENT'

        # Error was caused by unexpected error while processing
        # data (e.g. unavailable server, database problem, etc.).
        # This kind of error should be very rare.
        SERVER = 'SERVER'

      end

    end
  end
end
